Cyberduck Mountain Duck CLI

#2376 closed enhancement (fixed)

Feat Req: ZIP/TAR via SSH

Reported by: macmedix@… Owned by: dkocher
Priority: normal Milestone: 3.1
Component: sftp Version: 3.0.1
Severity: trivial Keywords: zip ssh tar archive
Cc: macmedix@… Architecture:
Platform:

Description

It would be really great if you could add a feature to compress or decompress a remote file when we are connected via SSH. This would be so very helpful!!! Ideally ZIP, but tar would do. This could either be a right-click command, and/or an action menu item.

Change History (11)

comment:1 Changed on Aug 10, 2008 at 9:39:51 PM by dkocher

  • Resolution set to wontfix
  • Status changed from new to closed

comment:2 Changed on Oct 25, 2008 at 3:30:39 PM by anonymous

  • Resolution wontfix deleted
  • Status changed from closed to reopened

would be great!

comment:3 follow-up: Changed on Dec 7, 2008 at 9:26:41 PM by dkocher

  • Component changed from core to sftp
  • Milestone changed from 3.2 to 3.1
  • Status changed from reopened to new

We will try to push this into 3.1. Will only work for SSH connections.

comment:4 in reply to: ↑ 3 Changed on Dec 7, 2008 at 9:43:45 PM by macmedix@…

Replying to dkocher:

We will try to push this into 3.1. Will only work for SSH connections.

AWESOME! This will be a VERY helpful feature. Thank you! Thank you! Thank you! Thank you!

comment:5 Changed on Dec 7, 2008 at 11:54:49 PM by dkocher

  • Resolution set to fixed
  • Status changed from new to closed

In r4316. Available configuration options:

  • For archiving. For {0} the absolute path is given.
    defaults write ch.sudo.cyberduck archive.command -string "tar -czpPfv {0}.tar.gz {0}"
    
  • For unarchiving. {0} is the absolute path to unarchive, {1} is the destination directory
    defaults write ch.sudo.cyberduck unarchive.command.zip -string "unzip {0} -d {1}"
    defaults write ch.sudo.cyberduck unarchive.command.tar -string "tar -xvpPf {0} -C {1}"
    defaults write ch.sudo.cyberduck unarchive.command.tgz -string "tar -xzvpPf {0} -C {1}"
    defaults write ch.sudo.cyberduck unarchive.command.tar.gz -string "tar -xzvpPf {0} -C {1}"
    defaults write ch.sudo.cyberduck unarchive.command.tar.bz2 -string "tar -xjvpPf {0} -C {1}"
    

comment:6 Changed on Dec 8, 2008 at 9:40:39 AM by dkocher

Fixed default archive command in r4317.

comment:7 Changed on Dec 16, 2008 at 4:31:41 PM by dkocher

Please consider the above commands as deprecated. They have been replaced in the final implementation with

defaults write ch.sudo.cyberduck archive.command.create.tar -string "tar -cvpPf {0}.tar {0}"
defaults write ch.sudo.cyberduck archive.command.create.tar.gz -string "tar -czvpPf {0}.tar.gz {0}"
defaults write ch.sudo.cyberduck archive.command.create.tar.bz2 -string "tar -cjvpPf {0}.tar.bz2 {0}"
defaults write ch.sudo.cyberduck archive.command.create.zip -string "zip -rv {0}.zip {0}"

defaults write ch.sudo.cyberduck archive.command.expand.tar -string "tar -xvpPf {0} -C {1}"
defaults write ch.sudo.cyberduck archive.command.expand.tar.gz -string "tar -xzvpPf {0} -C {1}"
defaults write ch.sudo.cyberduck archive.command.expand.tar.bz2 -string "tar -xjvpPf {0} -C {1}"
defaults write ch.sudo.cyberduck archive.command.expand.zip -string "unzip -n {0} -d {1}"

The default archiver command is set using

defaults write ch.sudo.cyberduck archive.default -string "tar.gz"

comment:8 Changed on Jan 11, 2009 at 2:29:23 PM by anonymous

  • Resolution fixed deleted
  • Severity changed from normal to trivial
  • Status changed from closed to reopened

Would it be possible also to add regular .gz files? It would be convenient for mysql slow query logs. Thanks :-)

comment:9 follow-up: Changed on Jan 20, 2009 at 8:25:40 PM by macmedix@…

  • Cc macmedix@… added
  • Keywords tar archive added

Filenames & Pathnames which contain a space are a problem, and prevent this awesome feature from creating archives. as of Version 3.1.1 (4457). Spaces will need to be encoded, or otherwise dealt with. Thanks very much!

comment:10 in reply to: ↑ 9 Changed on Jan 20, 2009 at 9:17:42 PM by dkocher

  • Resolution set to fixed
  • Status changed from reopened to closed

Replying to macmedix@…:

Filenames & Pathnames which contain a space are a problem, and prevent this awesome feature from creating archives. as of Version 3.1.1 (4457). Spaces will need to be encoded, or otherwise dealt with. Thanks very much!

That should be fixed in the nightly build. Refer to #2884.

Note: See TracTickets for help on using tickets.
swiss made software